// 本函数由HBcms(宏博内容管理系统)整理优化
// 最新版本： http://www.hbcms.com/ 
var xPos = 20; // 起始横向位置(从左算起，单位象素) 
var yPos = document.body.clientHeight; // 页面本身高度 
var step = 1; 
var delay = 30; // 速度，值越大速度越慢 
var height = 0; 
var Hoffset = 0; 
var Woffset = 0; 
var yon = 0; 
var xon = 0; 
var pause = true; 
var interval; 
document.getElementById('hbcms_pf').style.top = yPos; 
//本代码由宏博cms网站内容管理系统(http://www.hbcms.com/)整理修改
function hbcms_changePos() { 
width = document.body.clientWidth; // 判断浏览器窗口的宽度 
height = document.body.clientHeight; // 判断浏览器窗口的高度 
Hoffset = document.getElementById('hbcms_pf').offsetHeight; 
Woffset = document.getElementById('hbcms_pf').offsetWidth; 
document.getElementById('hbcms_pf').style.left = xPos + document.body.scrollLeft; 
document.getElementById('hbcms_pf').style.top = yPos + document.body.scrollTop; 
if (yon) { 
yPos = yPos + step; 
} 
else { 
yPos = yPos - step; 
} 
if (yPos < 0) { 
yon = 1; 
yPos = 0; 
} 
if (yPos >= (height - Hoffset)) { 
yon = 0; 
yPos = (height - Hoffset); 
} 
if (xon) { 
xPos = xPos + step; 
} 
else { 
xPos = xPos - step; 
} 
if (xPos < 0) { 
xon = 1; 
xPos = 0; 
} 
if (xPos >= (width - Woffset)) { 
xon = 0; 
xPos = (width - Woffset); 
} 
} 
//本代码由宏博cms网站内容管理系统(http://www.hbcms.com/)整理修改
function hbcms_start_pp() { 
document.getElementById('hbcms_pf').visibility = "visible"; 
interval = setInterval('hbcms_changePos()', delay); 
} 
function hbcms_pause_resume() { 
if(pause) {clearInterval(interval);pause = false;} 
else {interval = setInterval('hbcms_changePos()',delay);pause = true;} 
} 
hbcms_start_pp(); 
 